<?php
/*  Plugin Name: Hyena GIF Animation Controls
    Plugin URI: http://codecanyon.net/item/hyena-gif-animation-controls/6927684?ref=Crusader12
    Description: Powerful GIF Animation Controls
    Version: 2.0
    Author: Crusader12
    Author URI: http://codecanyon.net/user/Crusader12
    License: Commercial 
         
    This program is commercial software and is exclusive to CodeCanyon.
	Regular Licenses are valid per domain. 	
	
	* INTIAL PLUGIN SETUP 
	*
	* jquery-Hyena-2.0.css (MAIN HYENA CSS FILE)
	* jquery-Hyena-2.0.js  (MAIN HYENA JS FILE)
	* jQuery 				(IF NEEDED)
	* admin-hyena.css		(MAIN HYENA ADMIN CSS FILE)
	* PLUGIN ACTIVATION / DEACTIVATION NOTICES
	*
*/

	defined('ABSPATH') or die("No script kiddies please!");
	add_action( 'wp_enqueue_scripts', 'HyenaFrontEndScripts' );
	add_action('admin_enqueue_scripts', 'Hyena_AdminScripts');
	
	function HyenaFrontEndScripts(){
		// TEST WORDPRESS VERSION		
		global $wp_version;
		if( version_compare( $wp_version, '3.5', '<' ) ){ wp_die( 'Hyena requires WordPress 3.5 or higher.' ); }		
		// REGISTER WITH JQUERY DEPENDENCY
		wp_register_script('jquery.Hyena.front',WP_PLUGIN_URL.'/Hyena/js/jquery-Hyena-2.0.js',array( 'jquery' ),"2.0",1);
		wp_localize_script('jquery.Hyena.front','HyenaPluginPath', array( 'path' => WP_PLUGIN_URL ));
		// ENQUEUE
		wp_enqueue_script('jquery.Hyena.front');
		wp_enqueue_style( 'hyena-css', WP_PLUGIN_URL . '/Hyena/css/jquery-Hyena-2.0.css', false, '2.0' );
	}; 
	
	function Hyena_AdminScripts(){
		wp_enqueue_script('thickbox');
		wp_enqueue_script('jquery.Hyena',WP_PLUGIN_URL.'/Hyena/js/jquery-Hyena-2.0.js',array( 'jquery' ),"2.0",1);
		wp_localize_script('jquery.Hyena','HyenaPluginPath', array( 'path' => WP_PLUGIN_URL ));
		wp_enqueue_script('jquery.Hyena');
		wp_enqueue_script('jquery.Hyena-adminjs',WP_PLUGIN_URL.'/Hyena/js/Hyena-admin-functions.js',array( 'jquery' ),"2.0",1);
		wp_enqueue_style( 'admin-hyena-admin', WP_PLUGIN_URL . '/Hyena/css/admin-hyena.css', false, '2.0' );
		wp_enqueue_style( 'admin-hyena', WP_PLUGIN_URL . '/Hyena/css/jquery-Hyena-2.0.css', false, '2.0' );
		wp_enqueue_style('thickbox');
	}; 
	

    /* ACTIVATION / DEACTIVATION NOTICES */
	add_action('admin_notices', 'Hyena_Notices');
	register_deactivation_hook(__FILE__, 'Hyena_Deactivate');	
	register_activation_hook(__FILE__, 'Hyena_Activation');

	function Hyena_Activation(){
		$notices=get_option('Hyena_Notices',array());
		$notices[]="Hyena GIF Animation Controls has been Activated.";
		update_option('Hyena_Notices', $notices);
	};

	function Hyena_Notices() {
		if($notices=get_option('Hyena_Notices')){
			foreach($notices as $notice){ echo "<div class='updated'><p>$notice</p></div>"; };
			delete_option('Hyena_Notices');
		};
	};

	function Hyena_Deactivate() {
		delete_option('my_plugin_version'); 
		delete_option('Hyena_Notices'); 
	};
	
	function HeynaCSS(){
		wp_enqueue_style('HyenaStyle', WP_PLUGIN_URL.'/Hyena/css/jquery-Hyena-2.0.css');	
	}
	
	add_action('wp_enqueue_scripts', 'HeynaCSS');

	function Menu_Wp_Hyena(){
		add_menu_page( 'Hyena Setup', 'Hyena GIFs', 'administrator', 'hyena-settings', 'HyenaAdmin' );	
	}

	/* Get Custom Public Post Type in Theme*/
	$post_types=array();
	function hyena_get_custom_post_type()
	{
		global $post_types;
		$exclude_post_type=array( 'attachment', 'revision', 'nav_menu_item', 'mediapage' );//exculde builtin post type where hyena should not work
		$args = array(
		   'public'   => true
		);
		$post_types = get_post_types( $args, 'names' );
		$post_types=array_diff($post_types,$exclude_post_type);
		if(sizeof($post_types) > 0)
		{
			foreach($post_types as $key=> $post_type)
			{
				if(!post_type_supports( $post_type, 'thumbnail' )) //remove post type those donot support thumbnails
				{
					unset($post_types[$key]);	
				}	
			}	
		}
	}
	add_action ('admin_init','hyena_get_custom_post_type');
	/*End Get Custom POST Type In Theeme*/
	
	
	/*********add GIF animator checkbox on posts for featured images*/
	
	function hyena_add_meta_box() {
		global $post_types;
		if(sizeof($post_types) > 0)
		{
			$screens = $post_types;
			foreach ( $screens as $screen ) {
				add_meta_box(
					'hyena_sectionid',
					__( 'Hyena Featured Image Settings :  ' ),
					'hyena_meta_box_callback',
					$screen,
					'normal',
					'high'
				);
			}
		}
	}
	add_action( 'add_meta_boxes', 'hyena_add_meta_box' );
	/****************/
	function hyena_meta_box_callback( $post ) {
		wp_nonce_field( 'hyena_meta_box', 'hyena_meta_box_nonce' );
		$hyena = array();
		$hyena_animator = $hyena_data = $hyena_media='';
		
		if (has_post_thumbnail(  $post->ID ) )
		{
			$image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' ); 
			$hyena_media= $image[0];
		}
		if( get_post_meta($post->ID,'_hyena_single' )   ){
			$hyena =  get_post_meta($post->ID, '_hyena_single');
			if(isset($hyena[0]['animator']) && $hyena[0]['animator']!="")
			{
				$hyena_animator = $hyena[0]['animator'];
			}else $hyena_animator=0;
			$hyena_data = $hyena[0]['data'];
			$sepcs=array();
			if(trim($hyena_data)!="")
			{
				$hy_data=explode(',"',$hyena_data);	
				if(sizeof($hy_data) > 0)
				{
					foreach($hy_data as $data)
					{
						$sp=explode(":",$data);
						$specs[str_replace('"',"",$sp[0])]=	str_replace('"',"",$sp[1]);
					}	
				}
				
			}
			
		}
		echo '<label for="hyena_new_field">';
		_e( 'Use Hyena on Featured Image : &nbsp;&nbsp;', 'hyena_plugin' );
		echo '</label> ';

		if( $hyena_animator == '1' ){ 
			echo '<input type="radio" checked="checked" class="hyena_animator" name="hyena[animator]" value="1"/> Yes &nbsp;&nbsp;&nbsp;&nbsp;';
			echo '<input type="radio" class="hyena_animator" name="hyena[animator]" value="0"/> No';	
		}else{
			echo '<input type="radio" class="hyena_animator" name="hyena[animator]" value="1" /> Yes &nbsp;&nbsp;&nbsp;&nbsp;';
			echo '<input type="radio" checked="checked" class="hyena_animator" name="hyena[animator]" value="0" /> No';	
		}
		
		echo "<span class='hyenaloader'></span>";
		$showHyneacontrols=($hyena_animator==1)?'block;':'none;'; ?>
        
        
		<input type="hidden" id="hyena_data" name="hyena[data]" value='<?php echo esc_attr($hyena_data)?>' />
		<input type="hidden" id="hyena_media" name="hyena_media" value='<?php echo esc_attr($hyena_media)?>' />
		
        <div id="hyena-dashboard" class="widefat hyena-featured-dashboard" style="display:<?php echo $showHyneacontrols?>">
			<script type="text/javascript">var HyenaPluginPath="<?php echo esc_js(plugins_url())?>";</script>
    
        	<a href="http://codecanyon.net/user/Crusader12?ref=Crusader12" target="_blank">
            	<img class="hyena_header_img_small" src="<?php echo esc_js(plugins_url())?>/Hyena/hyena_header.png" alt="Hyena - GIF Animation Controls"></a>
                <br clear="all" />
                <div id="controls">
                <div id="controls-wrapper" >
			        <div id="hyena-title-h1">Animated GIF Configuration</div>
		            <div class="clear"></div>
                    <div class="hyena-control">
                    	<label>Skin Style:</label>
                        	<select name="style" class="hyena-style">
                            <?php for($i=1; $i<=6;$i++){ ?>
                                <option value="<?php echo esc_attr($i)?>" <?php echo (isset($specs['style']) && $specs['style']==$i )?'selected="selected"':''?>>Hyena Skin <?php echo $i?></option>
                            <?php } ?>
                            </select>
                        </div>

                        <div class="hyena-control">
                            <label>GIF Appearance Speed :</label>
                            <input type="text" name="player_fade_speed" class="hyena-player_fade_speed" value="<?php echo (isset($specs['player_fade_speed']) && $specs['player_fade_speed']!="" )?$specs['player_fade_speed']:'500'?>"  />
                            <p class="hyena-help">in milliseconds (ms)</p>
                        </div>

                        <h3>Slate Layer</h3>
                        <div class="hyena-control">
                            <label>Speed:</label>
                            <?php if(isset($specs['slate']) && $specs['slate']!=""){ 
								$slate=explode(",",$specs['slate']); 
							} ?>
                            <input type="text" name="slate" class="hyena-slate-speed" value="<?php echo (isset($slate[0]) && $slate[0]!="")?$slate[0]:'300'?>"  />
                            <p class="hyena-help">in milliseconds (ms)</p>
                        </div>
                        
                        <div class="hyena-control">
                            <label>Opacity:</label>
                            <input type="text" name="slate" class="hyena-slate-opacity" value="<?php echo (isset($slate[1]) && $slate[1]!="")?$slate[1]:'0.0'?>"  />
                            <p class="hyena-help">from 0.0 to 1.0</p>
                        </div>
                        
                        <div class="hyena-control">
                            <label>Seamless Tile:</label>
                            <select name="style" class="hyena-slate-tile">
                                <option value="0" selected="selected">No Tile</option>
                                <?php for($i=1; $i<=110; $i++){ ?>
                                    <option value="<?php echo esc_attr($i)?>" <?php echo (isset($slate[2]) && $slate[2]==$i)?'selected="selected"':''?>>Tile <?php echo $i?> </option>
                                <?php } ?>
                            </select>
                        </div>



                        <h3>Events and Media Player Controls</h3>
                        <div class="hyena-control">
                            <label>Play Event:</label>
                            <select name="style" class="hyena-type">
                                <option value="media_player">Media Player</option>
                                <option value="on_click" selected="selected" <?php echo (isset($specs["on_click"]))?'selected="selected"':''?>>On Click</option>
                                <option value="on_hover" <?php echo (isset($specs["on_hover"]))?'selected="selected"':''?>>On Hover</option>
                                <option value="on_timer" <?php echo (isset($specs["on_timer"]))?'selected="selected"':''?>>On Timer </option>
                                <option value="on_scroll" <?php echo (isset($specs["on_scroll"]))?'selected="selected"':''?>>On Scroll</option>
                            </select>
                        </div>
                       
                       <?php if(isset($pecs['fade_speed'])){ $fadeSpeed=explode(',',$pecs['fade_speed']); } ?>
                        
                        <div class="hyena-control media">
                            <label>Controls Fade Speed In:</label>
                            <input type="text" name="timer" class="hyena-fade_speed_in" value="<?php echo (isset($fadeSpeed[0]) && $fadeSpeed[0]!="")?$fadeSpeed[0]:'250'?>"  />
                            <p class="hyena-help">in milliseconds (ms)</p>
                        </div>
                        
                        <div class="hyena-control media">
                            <label>Controls Fade Speed Out:</label>
                            <input type="text" name="timer" class="hyena-fade_speed_out" value="<?php echo (isset($fadeSpeed[0]) && $fadeSpeed[0]!="")?$fadeSpeed[0]:'250'?>"  />
                            <p class="hyena-help">in milliseconds (ms)</p>
                        </div>
                        
                        <?php if(isset($pecs['control_opacity'])){ $controlOpacity=explode(',',$pecs['control_opacity']);	} ?>

                        <div class="hyena-control media">
                            <label>Controls Opacity from:</label>
                            <input type="text" name="timer" class="hyena-control_opacity_from" value="<?php echo (isset($controlOpacity[0]) && $controlOpacity[0]!="")?$controlOpacity[0]:'0'?>"  />
                            <p class="hyena-help">from 0.0 to 1.0</p>
                        </div>
                        
                        <div class="hyena-control media">
                            <label>Controls Opacity To:</label>
                            <input type="text" name="timer" class="hyena-control_opacity_to" value="<?php echo (isset($controlOpacity[1]) && $controlOpacity[1]!="")?$controlOpacity[1]:'0'?>"  />
                            <p class="hyena-help">from 0.0 to 1.0</p>
                        </div>
                        
                       
                        
                        <div class="hyena-control media">
                            <label>Initial Control Visibility:</label>
                            <select name="style" class="hyena-show_button">
                           
                                <option value="true">Show</option>
                                <option value="false" <?php echo (isset($specs['show_button']) && $specs['show_button']=='false')?'selected="selected"':''?>>Hide</option>
                           
                            </select>
                        </div>
                        
                        
                        <?php if(isset($specs['on_timer']) && $specs['on_timer']!=""){$timer=explode(',',$specs['on_timer']);} ?>


                        <div class="hyena-control on_timer">
                            <label>GIF Delay:</label>
                            <input type="text" name="timer" class="hyena-timer-delay" value="<?php echo (isset($timer[0]) && $timer[0]!="")?$timer[0]:'3000'?>"  />
                            <p class="hyena-help">in milliseconds (ms)</p>
                        </div>
                        
                        <div class="hyena-control on_timer">
                            <label>Play Duration:</label>
                            <input type="text" name="timer" class="hyena-timer-duration" value="<?php echo (isset($timer[1]) && $timer[1]!="")?$timer[1]:'3000'?>"  />
                            <p class="hyena-help">in milliseconds (ms)</p>
                        </div>
                        <br clear="all" />
                    </div>
                    
                    
				
				<div id="preview">
					<div id="hyena-preview-h1">
						Animated GIF Preview
						<div id="hyena-generate-button" class="hyena-control" style="opacity: 1;">
							<input class="hyena-generate-preview-feature" type="button" value="Update GIF Player" name="generate-preview">
						</div>
					</div>
                    <div class="clear"></div><br />
					<div class="hyena-preview-wrapper">
						<div id="hyena-preview">
						<?php if(!empty($hyena_media)) { ?>
                        	<img src="<?php echo esc_attr($hyena_media)?>" class="hyena" data-hyena='{<?php echo $hyena_data?>}'  />
                        <?php } ?>
						</div>
					</div><br /><br />
					
				</div>
				</div>
				
				<br clear="all" />
				
			</div>
			
		<?php
	}
	
	
	/*******************Admin AJAx to fecth Featured Image*********/
	function hyena_ajax_featured(){
		wp_enqueue_script('jquery.Hyena-adminjs',WP_PLUGIN_URL.'/Hyena/js/Hyena-admin-functions.js',array( 'jquery' ),"2.0",1);
		
		wp_localize_script( 'jquery.Hyena-adminjs', 'issue_ajax_object', array( 
			'ajaxurl' => admin_url( 'admin-ajax.php' ),
			'redirecturl' => false,
			'loadingmessage' => false
		));
		add_action( 'wp_ajax_hyena_featured_image', 'hyena_featured_image' );	
	}
	
	add_action('admin_init', 'hyena_ajax_featured');
	if(isset($_POST['action']) && $_POST['action']=='hyena_featured_image')
	{
		function hyena_featured_image(){
			if( isset( $_POST['post_id'] ) ){
				if (has_post_thumbnail(  $_POST['post_id'] ) )
				{
					$image = wp_get_attachment_image_src( get_post_thumbnail_id( $_POST['post_id'] ), 'single-post-thumbnail' ); 
					echo $image[0];
				}else
				{
					echo '0';
				}
			}
			else{
				echo '0';	
			}
			
			die();
		}
		
	}
	
	
	/***************/


	function hyena_save_meta_box_data( $post_id ) {
		
		if ( ! isset( $_POST['hyena_meta_box_nonce'] ) ) {
			return;
		}
	
		if ( ! wp_verify_nonce( $_POST['hyena_meta_box_nonce'], 'hyena_meta_box' ) ) {
			return;
		}
	
		if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
			return;
		}
	
		if ( isset( $_POST['post_type'] ) && 'page' == $_POST['post_type'] ) {
	
			if ( ! current_user_can( 'edit_page', $post_id ) ) {
				return;
			}
	
		} else {
	
			if ( ! current_user_can( 'edit_post', $post_id ) ) {
				return;
			}
		}
	
		if ( ! isset( $_POST['hyena'] ) ) {
			return;
		}
	
		
		update_post_meta( $post_id, '_hyena_single', $_POST['hyena'] );
		
	}
	add_action( 'save_post', 'hyena_save_meta_box_data' );
	
	/********************/
	
	
	/*********************Featured Image Hyena GIF Animator************/
	
	
	add_filter('post_thumbnail_html', 'hyena_thumbnail_geneartor',20,25);

	function hyena_thumbnail_geneartor( $html, $post_id, $post_thumbnail_id, $size, $attr ) {
		
		if(!empty($html))
		{

			$id = get_post_thumbnail_id(); // gets the id of the current post_thumbnail (in the loop)
			$src = wp_get_attachment_image_src($id, $size); // gets the image url specific to the passed in size (aka. custom image size)
			$alt = get_the_title($id); 
			$hyena =  get_post_meta($post_id, '_hyena_single');
			if(isset($hyena[0]['animator']) && $hyena[0]['animator']=="1")
			{
				$html = '<img src="'.$src[0].'" alt="'.$alt.'" data-hyena=\'{' . $hyena[0]['data'] . '}\' class="hyena" />';
				return $html;
			}else return $html;
			
		}else return $html;
		
		
	} 
	
	

/****************Create Plugin Page***********/
function HyenaAdmin(){
?>
	
    <script type="text/javascript">var HyenaPluginPath="<?php echo plugins_url();?>";</script>
    <div id="hyena-dashboard" class="widefat">
        <a href="http://codecanyon.net/user/Crusader12?ref=Crusader12" target="_blank"><img class="hyena_header_img" src="<?php echo plugins_url(); ?>/Hyena/hyena_header.png" alt="Hyena - GIF Animation Controls"></a>       
        <a id="hyena_help_button" href="#TB_inline?height=650&width=500&inlineId=hyena_help" class="thickbox">Hyena GIF Help</a>
        <div id="hyena_help" style="display:none;">
            <span class="hyena_step">1. Selecting a GIF</span>
    	        <p class="hyena_help_text">
            		To begin, click the <strong>Select GIF</strong> button.
                    From the popup window, follow the required steps to either
                    upload or choose an existing GIF from the Media Library.
                    Click the Show link to the right of the GIF thumbnail and select
                    <strong>Full Size</strong> image, then click <strong>Insert into
                    Post</strong>.
	            </p>
            <span class="hyena_step">2. Customizing the Player</span>
    	        <p class="hyena_help_text">
                    After inserting a GIF, you'll notice the preview appear. Customize
                    your Hyena GIF player using the settings in the left panel. When
                    done, click <strong>Update GIF Player</strong>.            
	            </p>
            <span class="hyena_step">3. Using the Shortcode</span>
    	        <p class="hyena_help_text">
                    Clicking the Update GIF Player Button generates a Shortcode.
                    Once happy with your results, copy and paste the Generated Shortcode
                    into your Post or Page.
	            </p>
        </div>
        <br clear="all" />
                
        <div id="controls">
            <div id="controls-wrapper">
	           	<div id="hyena-title-h1">
	                Animated GIF Configuration
					<div class="hyena-control select-gif-button">
						<input type="hidden" name="hyena_media" id="hyena_media" value=""  />
						<input type="button" name="GIF Media" value="Select GIF" class="hyena-button-media" />
					</div>                
				</div>
                <div class="clear"></div>

                
                <div class="hyena-control">
                    <label>Skin Style:</label>
                    <select name="style" class="hyena-style">
                    <?php for($i=1; $i<=6;$i++){ ?>
                    	<option value="<?php echo esc_attr($i)?>">Hyena Skin <?php echo $i?></option>
                    <?php } ?>
                    </select>
                </div>
                
                <div class="hyena-control">
                    <label>GIF Appearance Speed:</label>
                    <input type="text" name="player_fade_speed" class="hyena-player_fade_speed" value="500"/>
                    <p class="hyena-help">in milliseconds (ms)</p>
                </div>
                
                <h3>Slate Layer</h3>
                <div class="hyena-control">
                    <label>Speed:</label>
                    <input type="text" name="slate" class="hyena-slate-speed" value="300"  />
                    <p class="hyena-help">in milliseconds (ms)</p>
                </div>
                
                <div class="hyena-control">
                    <label>Opacity:</label>
                    <input type="text" name="slate" class="hyena-slate-opacity" value="0.0"  />
                    <p class="hyena-help">from 0.0 to 1.0</p>
                </div>
                
                <div class="hyena-control">
                    <label>Seamless Tile :</label>
                    <select name="style" class="hyena-slate-tile">
                    	<option value="0" selected="selected">No Tile</option>
						<?php for($i=1; $i<=110; $i++){ ?>
                        	<option value="<?php echo esc_attr($i)?>">Tile <?php echo $i ?></option>
                        <?php } ?>
                    </select>
                </div>
                
                
                <h3>Events and Media Player Controls</h3>
                <div class="hyena-control">
                    <label>Play Event:</label>
                    <select name="style" class="hyena-type">
                    	<option value="media_player">Media Player</option>
                        <option value="on_click" selected="selected">On Click</option>
                        <option value="on_hover">On Hover</option>
                        <option value="on_timer">On Timer</option>
                        <option value="on_scroll">On Scroll</option>
                    </select>
                </div>
                
                <div class="hyena-control media">
                    <label>Controls Fade Speed In:</label>
                    <input type="text" name="timer" class="hyena-fade_speed_in" value="250"  />
                    <p class="hyena-help">in milliseconds (ms)</p>
                </div>
                
                <div class="hyena-control media">
                    <label>Controls Fade Speed Out:</label>
                    <input type="text" name="timer" class="hyena-fade_speed_out" value="250"  />
                    <p class="hyena-help">in milliseconds (ms)</p>
                </div>
                
                <div class="hyena-control media">
                    <label>Controls Opacity from :</label>
                    <input type="text" name="timer" class="hyena-control_opacity_from" value="0"  />
                    <p class="hyena-help">from 0.0 to 1.0</p>
                </div>
                
                <div class="hyena-control media">
                    <label>Controls Opacity To:</label>
                    <input type="text" name="timer" class="hyena-control_opacity_to" value="0"  />
                    <p class="hyena-help">from 0.0 to 1.0</p>
                </div>
                
               
                <div class="hyena-control media">
                    <label>Initial Control Visibilty:</label>
                    <select name="style" class="hyena-show_button">
                   
                    	<option value="true" selected="selected">Show</option>
                        <option value="false">Hide</option>
                   
                    </select>
                </div>
                
                <div class="hyena-control on_timer">
                    <label>GIF Delay :</label>
                    <input type="text" name="timer" class="hyena-timer-delay" value="3000"  />
                    <p class="hyena-help">in milliseconds (ms)</p>
                </div>
                
                <div class="hyena-control on_timer">
                    <label>Play Duration :</label>
                    <input type="text" name="timer" class="hyena-timer-duration" value="3000"  />
                    <p class="hyena-help">in milliseconds (ms)</p>
                </div>
                <br clear="all" />
            </div>

            
            <div id="preview">
	           	<div id="hyena-preview-h1">
            		Animated GIF Preview
	                <div class="hyena-control" id="hyena-generate-button" style="display:none;">
    	            	<input type="button" name="generate-preview" value="Update GIF Player" class="hyena-generate-preview" />
        	        </div>
                </div>
                <div class="clear"></div>
                
                <div class="hyena-preview-wrapper"><div id="hyena-preview"></div></div>
                <div class="hyena-control" style="display:none;" id="hyena-shortcode-container">
	                <h3>Generated Shortcode</h3>
                    <textarea id="hyena-shortcode" placeholder="shortcode"></textarea>
                </div>
            </div>
            <br clear="all" />
        </div>
    </div>
	<?php }
	/*********************/
		add_action( 'admin_menu', 'Menu_Wp_Hyena' );/*Ad In Admin Menu*/

/*********SHORTCODE GENERATOR************/

function hyena_generate_shortcode( $atts ){
	extract( shortcode_atts( array(
        'imageurl' => '',
		'data_hyena' => ''
    ), $atts ));
	
	$hyena = '';
	
	if( $imageurl ){
		$hyena = "<img class='hyena' src='".$imageurl."' data-hyena='".$atts['data_hyena']."'/>";	
	}
	
	return $hyena;
		
}

add_shortcode( 'wp_hyena', 'hyena_generate_shortcode' );